package com.dskj.daikuan.bean;


import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

public class VideoIndexBean implements Parcelable {
    private String id;
    private String name;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.name);
        dest.writeString(this.id);
    }

    public void readFromParcel(Parcel source) {
        this.name = source.readString();
        this.id = source.readString();
    }

    public VideoIndexBean() {
    }

    protected VideoIndexBean(Parcel in) {
        this.name = in.readString();
        this.id = in.readString();
    }

    public static final Creator<VideoIndexBean> CREATOR = new Creator<VideoIndexBean>() {
        @Override
        public VideoIndexBean createFromParcel(Parcel source) {
            return new VideoIndexBean(source);
        }

        @Override
        public VideoIndexBean[] newArray(int size) {
            return new VideoIndexBean[size];
        }
    };
}
